package com.keyware.sonar.java.rules.checkers;

import com.keyware.sonar.java.utils.FilesUtils;
import org.junit.jupiter.api.Test;
import org.sonar.java.checks.verifier.CheckVerifier;

/**
 * 在动态加载库前对输入数据进行验证 单元测试类
 *
 * @author GuoXin
 * @date 2024/1/10
 */
public class DynamicLibraryLoadCheckerTest {

    @Test
    public void test() {
        CheckVerifier.newVerifier()
                .onFile("src/test/files/DynamicLibraryLoadChecker.java")
                .withCheck(new DynamicLibraryLoadChecker())
                .withClassPath(FilesUtils.getClassPath("target/test-jars"))
                .verifyIssues();
    }
}
